/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';
create temp table if not exists "awards" (
	"ID"	text
);

insert into awards
select distinct awardID
from "raw".awardsmanagers
union
select distinct awardID
from "raw".awardsplayers;

update awards
set id = 'Silver Slugger'
where id = 'SIlver Slugger';

create table if not exists "awards" (
	"ID"	text,
	primary key("ID")
);

insert into main.awards
select distinct * from temp."awards";
commit;
